Dynamix - V6 Plugins


bonienl

Recommended Posts

Hi, I've just built an Unraid server and one of the plugins that I've installed is the Active Streams plugin.  But it never shows anything it always just say "No active streams".  I've tried reinstalling the app and still nothing.  I'm running Plex on another PC and it mounts its media folder off Unraid using NFS but I still don't see anything.  

 

The streams on the shares panel of the dashboard does show streams.

 

Any ideas?

Link to comment

I've been using the system temperatures plugin for some time with success. Yesterday I shut down my system to install a Nvidia Quadro P400 to use for HW transcoding. Boot the device back up (did not check if the temp plugin worked at this time), installed Nvidia Drivers, rebooted again.

 

Now the Nvidia drivers are working, HW transcoding is working, but the only temp sensor the plugin detects are the NVME SSD. The CPU and mobo temp sensors I used to have are "gone".

 

System is an AMD Ryzen 5 5600G CPU on a Asus TUF GAMING B550-PRO motherboard.

 

Don't know if it has anything to do with the P400 or not, but that was the only change I did from working to not-working.

 

This is what I find in the log:

 

Sep 29 07:21:52 nasse root: +==============================================================================
Sep 29 07:21:52 nasse root: | Installing new package /boot/config/plugins/dynamix.system.temp/dynamix.system.temp.txz
Sep 29 07:21:52 nasse root: +==============================================================================
Sep 29 07:21:52 nasse root: 
Sep 29 07:21:52 nasse root: Verifying package dynamix.system.temp.txz.
Sep 29 07:21:52 nasse root: Installing package dynamix.system.temp.txz:
Sep 29 07:21:52 nasse root: PACKAGE DESCRIPTION:
Sep 29 07:21:52 nasse root: Package dynamix.system.temp.txz installed.
Sep 29 07:21:52 nasse root: plugin: skipping: sensors-detect - Unraid version too high, requires at most version 6.7.2
Sep 29 07:21:52 nasse root: plugin: skipping: sensors-detect - Unraid version too high, requires at most version 6.7.2
Sep 29 07:21:52 nasse root: plugin: running: anonymous
Sep 29 07:21:52 nasse kernel: nct6775: Found NCT6798D or compatible chip at 0x2e:0x290
Sep 29 07:21:52 nasse kernel: ACPI Warning: SystemIO range 0x0000000000000295-0x0000000000000296 conflicts with OpRegion 0x0000000000000290-0x0000000000000299 (\AMW0.SHWM) (20210331/utaddress-204)
Sep 29 07:21:52 nasse kernel: ACPI: OSL: Resource conflict; ACPI support missing from driver?
Sep 29 07:21:52 nasse root: 
Sep 29 07:21:52 nasse root: -----------------------------------------------------------
Sep 29 07:21:52 nasse root:  Plugin dynamix.system.temp is installed.
Sep 29 07:21:52 nasse root:  This plugin requires Dynamix webGui to operate
Sep 29 07:21:52 nasse root:  Copyright 2021, Bergware International
Sep 29 07:21:52 nasse root:  Version: 2021.06.25
Sep 29 07:21:52 nasse root: -----------------------------------------------------------
Sep 29 07:21:52 nasse root: 
Sep 29 07:21:52 nasse root: plugin: dynamix.system.temp.plg installed
Sep 29 07:21:52 nasse root: plugin: installing: /boot/config/plugins/dynamix.unraid.net.plg
Sep 29 07:21:52 nasse root: plugin: running: anonymous
Sep 29 07:21:52 nasse root: plugin: running: anonymous
Sep 29 07:21:52 nasse root: plugin: running: anonymous
Sep 29 07:21:52 nasse root: Downloading and installing API. Please wait…
Sep 29 07:21:52 nasse root: plugin: skipping: /boot/config/plugins/dynamix.my.servers/dynamix.unraid.net.txz already exists
Sep 29 07:21:52 nasse root: plugin: running: /boot/config/plugins/dynamix.my.servers/dynamix.unraid.net.txz
Sep 29 07:21:52 nasse root: 

 

Edited by paaland
Link to comment

Hello, everyone,

 

I have the following problem since reinstalling UNRaid.

When I install the Temp plugin, it doesn't recognize the sensors.
Here is the error message.

 

plugin: installing: https://raw.github.com/bergware/dynamix/master/unRAIDv6/dynamix.system.temp.plg
plugin: downloading https://raw.github.com/bergware/dynamix/master/unRAIDv6/dynamix.system.temp.plg
plugin: downloading: https://raw.github.com/bergware/dynamix/master/unRAIDv6/dynamix.system.temp.plg ... done
plugin: downloading: https://raw.githubusercontent.com/bergware/dynamix/master/archive/dynamix.system.temp.txz ... done

+ =========================================================================== ==============================
| Installing new package /boot/config/plugins/dynamix.system.temp/dynamix.system.temp.txz
+ =========================================================================== ==============================

Verifying package dynamix.system.temp.txz.
Installing package dynamix.system.temp.txz:
PACKAGE DESCRIPTION:
Package dynamix.system.temp.txz installed.
plugin: skipping: sensors-detect - Unraid version too high, requires at most version 6.7.2
plugin: skipping: sensors-detect - Unraid version too high, requires at most version 6.7.2

-------------------------------------------------- ---------
The dynamix.system.temp plugin is installed.
This plugin requires Dynamix webGui to operate
Copyright 2021, Bergware International
Version: 2021.06.25
-------------------------------------------------- ---------

plugin: dynamix.system.temp.plg installed

 

 

My system

 

Unraid Version: 6.9.2 2021-04-07

System information:

Model: Custom
M / B: BIOSTAR Group B550MX / E PRO Version - S / N: None
BIOS: American Megatrends International, LLC. Version 5.17. Dated: 04/21/2021
CPU: AMD Ryzen 5 5600G with Radeon Graphics @ 3900 MHz
HVM: Enabled
IOMMU: Enabled
Cache: 384 KiB, 3 MB, 16 MB
RAM: 16 GiB DDR4 (maximum installable 128 GiB)
Network: bond0: fault-tolerance (active-backup), mtu 1500
 eth0: 1000 Mbps, full duplex, mtu 1500
Kernel: Linux 5.10.28-Unraid x86_64
OpenSSL: 1.1.1j

 

 

I hope the information is helpful.

Thanks in advance ..

 

Link to comment
On 4/13/2020 at 2:10 PM, henris said:

Auto Fan Control stopped working on Asus Z390M-PLUS (NCT6796D / NCT6798D) when upgrading to 6.8.x

I built my third UnRAID server last summer running with version 6.7.1. Out of the box most sensors were not detected (eg. the fan speeds), only temperatures were. After a quite a bit of reading in this thread and else where I managed to understand that I needed to manually load the correct driver module with command "modprobe nct6775" which I also put to my go file to make it persist over boot. Everything was fine from sensors perspective and Auto fan control was working pretty nicely (except for the nvme exclusion issue).

Just tried this again and the problem still persists. Did some more digging and found this kernel bug report from 2019:
"Bug 204807 - Hardware monitoring sensor nct6798d doesn't work unless acpi_enforce_resources=lax is enabled"

https://bugzilla.kernel.org/show_bug.cgi?id=204807

This fully explains why it stopped working and what is the workaround. Though I will not be using the workaround because it is not considered safe and I can live with the fixed fan speed.

 

There is a bug fix in kernel version 5.2.11 so I will wait for it to come through Unraid.

Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.